<!--formGroup to je da povezemo form sa poljem u .ts fajlu-->
<!--<img [src]="backgroundImage" alt="">-->
<body>
    <form [formGroup]="loginForm" (ngSubmit)="submitForm()" class="signinbox">
        <h1>Log in</h1>
        <div class="required fluid field" [ngClass] = "{ error : jmbgHasErrors() }">
            <label for="jmbg">JMBG:</label><br>
            <input type="text" formControlName="JMBG" placeholder="Unesite JMBG"><br>
        </div>

        <div class="error-message" *ngIf="JMBGErrors().length> 0 "> 
            <ul>
                <li *ngFor="let errorMessage of JMBGErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div> 

        <div class="form-group" [ngClass] = "{ error : lozinkaHasErrors() }">
            <label for="lozinka">Lozinka:</label><br>
            <input type="password" formControlName="lozinka" placeholder="Unesite lozinku"><br>
        </div>
        <div class="error-message" *ngIf="lozinkaErrors().length> 0 "> 
            <ul>
                <li *ngFor="let errorMessage of lozinkaErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div> 
        <div class="form-group"> 
            <input type="submit" class="btn btn-primary" [disabled]="!loginForm.valid" value="Log in">
        </div>
    </form>
</body>